ci_reporter 2.0 gem breaks CI
Status: Closed   

Priority: Urgent   

Assignee: Eric Helms   

Category: Packaging   

Target version: 1.5.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1124025 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1617

  

Description

Example output:

our Gemfile lists the gem gettext (

> 2.0) more than once.

You should probably keep only one of them.

While it's not a problem now, it could cause errors if you change the version of just one of them later.

Your Gemfile lists the gem locale (<= 2.0.9) more than once.

You should probably keep only one of them.

While it's not a problem now, it could cause errors if you change the version of just one of them later.

Your Gemfile lists the gem minitest (

> 4.7) more than once.
You should probably keep only one of them.

While it's not a problem now, it could cause errors if you change the version of just one of them later.

Your Gemfile lists the gem gettext_i18n_rails_js (>= 0.0.8) more than once.

You should probably keep only one of them.

While it's not a problem now, it could cause errors if you change the version of just one of them later.

rake aborted!

Don't know how to build task 'jenkins:setup:minitest'

/var/lib/workspace/workspace/test_katello_core/database/postgresql/ruby/1.9.3/plugin/lib/katello/tasks/jenkins.rake:7:in `block (2

levels) in <top (required)>'

/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core-2/bin/ruby_executable_hooks:15:in `eval'

/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core-2/bin/ruby_executable_hooks:15:in `<main>'

Tasks: TOP => jenkins:katello

(See full trace by running task with --trace)

Related issues:

Has duplicate Foreman - Bug #7070: CI_reporter gem has changed format in 2.0.0 Duplicate 08/13/2014

Copied to Smart Proxy - Bug #6790: ci_reporter 2.0 gem breaks CI Closed 07/24/2014

Associated revisions

Revision ec0912fc - 07/25/2014 06:38 AM - Eric Helms

Fixes #6779: Restrict ci_reporter gem to less than 2.0.0 to fix CI.

Revision 86956e7f - 07/28/2014 07:13 AM - Eric Helms

Fixes #6779: Restrict ci_reporter gem to less than 2.0.0 to fix CI.

(cherry picked from commit ec0912fc73a276a988128e987203ad5117b97998)

Revision f4cbcfc8 - 07/29/2014 06:53 AM - Martin Bacovsky

Fixes #6779: Restrict ci_reporter gem to less than 2.0.0 to fix CI

Revision 07fc60c1 - 07/29/2014 06:56 AM - Martin Bačovský 

Fixes #6779: Restrict ci_reporter gem to less than 2.0.0 to fix CI

History

#1 - 07/24/2014 09:57 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1617 added

- Pull request deleted ()

#2 - 07/25/2014 07:01 AM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ec0912fc73a276a988128e987203ad5117b97998.

#3 - 07/28/2014 03:12 AM - Dominic Cleal

- Category set to Packaging

- translation missing: en.field_release set to 18

#4 - 07/28/2014 03:59 AM - Dominic Cleal

- Copied to Bug #6790: ci_reporter 2.0 gem breaks CI added

#5 - 07/28/2014 04:38 PM - Bryan Kearney

- Bugzilla link set to 1124025

#6 - 08/14/2014 03:35 AM - Dominic Cleal

- Has duplicate Bug #7070: CI_reporter gem has changed format in 2.0.0 added

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ec0912fc73a276a988128e987203ad5117b97998
http://www.tcpdf.org

